package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.common.io.pc.MqttLogsIO;
import com.zy.bms.model.MqttLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * MQTT 收发日志 Mapper
 * <p>
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface MqttLogMapper extends BaseMapper<MqttLog> {

    /**
     * 分页查询日志
     *
     * @param page 分页参数
     * @param io   查询条件
     */
    IPage<MqttLog> getListPage(Page<MqttLog> page, @Param("io") MqttLogsIO io);
}
