package com.zy.bms.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.common.io.NewsIO;
import com.zy.bms.mapper.NewsMapper;
import com.zy.bms.model.News;
import org.springframework.stereotype.Service;

/**
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class NewsService extends ServiceImpl<NewsMapper, News> {
    /**
     * 分页查询播报记录
     *
     * @param io 查询参数
     */
    public IPage<News> getListPage(NewsIO io) {
        Page<News> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.getListPage(page, io);
    }
}
